Name:           polkit-kde-agent-1
Version:        0.99.0
Summary:        PolicyKit authentication agent for KDE
Release:        %mkrel 2
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://projects.kde.org/projects/extragear/base/%{name}
Source0:        ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/%{name}-%{version}.tar.bz2
# 0.99.0-2.mga1 add an upstream patch to bring the auth dialog to the front when
# it is shown. Otherwise it pops up behind the app requesting it and the user
# never sees it
Patch1:         always-bring-auth-diaglog-to-the-front-when-its-shown.patch
BuildRequires:  polkit-qt-1-devel >= 0.99.0
BuildRequires:  kdelibs4-devel
Provides:       polkit-agent
Provides:	polkit-kde-1
Obsoletes:	polkit-kde-1

%description
PolicyKit authentication agent for KDE

%files -f polkit-kde-authentication-agent-1.lang
%defattr(-,root,root)
%dir %{_kde_appsdir}/policykit1-kde
%{_kde_appsdir}/policykit1-kde/policykit1-kde.notifyrc
%{_kde_autostart}/polkit-kde-authentication-agent-1.desktop
%{_kde_libdir}/kde4/libexec/polkit-kde-authentication-agent-1

#-----------------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch1 -p1

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang polkit-kde-authentication-agent-1

%clean
rm -rf %{buildroot}


%changelog
* Mon Apr 25 2011 ahmad <ahmad> 0.99.0-2.mga1
+ Revision: 90337
- Add an upstream patch to bring the auth dialog to the front when it is shown.
  Otherwise it pops up behind the app requesting it and the user never sees it.

* Sat Jan 22 2011 ahmad <ahmad> 0.99.0-1.mga1
+ Revision: 32762
- imported package polkit-kde-agent-1


* Fri Dec 10 2010 Funda Wang <fwang@mandriva.org> 0.99.0-1mdv2011.0
+ Revision: 620236
- shouldusing kde4 cmake macro
- new version 0.99.0

* Sun Nov 21 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.2mdv2011.0
+ Revision: 599348
- using GIT hash in version number was bad idea

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.g99d1369a.1mdv2011.0
+ Revision: 599298
- update to GIT snapshot that builds and works under current KDE
- new name polkit-kde-agent-1

* Tue May 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-3mdv2010.1
+ Revision: 544536
- Add french translation

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-2mdv2010.1
+ Revision: 540132
- provides polkit-agent

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-1mdv2010.1
+ Revision: 481785
- Fix buildrequires
- Fix BuildRequire
- import polkit-kde-1

